Package org.eclipse.m2m.atl.adt.ui.text.atl

# Class AtlEditorUI

java.lang.Object
org.eclipse.m2m.atl.adt.ui.text.atl.AtlEditorUI

public final class AtlEditorUI extends Object
The ATL Editor parameters.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.jface.text.templates.ContextTypeRegistry`
`getContextTypeRegistry()`
Returns this plug-in's context type registry.
`static AtlEditorUI`
`getDefault()`
Returns the shared instance.
`org.eclipse.swt.graphics.Image`
`getTemplateImage(String name)`
Retrieves the `Image` for a given template name.
`org.eclipse.jface.text.templates.persistence.TemplateStore`
`getTemplateStore()`
Returns this plug-in's template store.
`void`
`registerImage(String name, String path)`
Registers an image in the repository.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDefault

public static AtlEditorUI getDefault()
Returns the shared instance.

Returns:
  the shared instance

### getTemplateStore

public org.eclipse.jface.text.templates.persistence.TemplateStore getTemplateStore()
Returns this plug-in's template store.

Returns:
  the template store of this plug-in instance

### getContextTypeRegistry

public org.eclipse.jface.text.templates.ContextTypeRegistry getContextTypeRegistry()
Returns this plug-in's context type registry.

Returns:
  the context type registry for this plug-in instance

### getTemplateImage

public org.eclipse.swt.graphics.Image getTemplateImage(String name)
Retrieves the `Image` for a given template name.

Parameters:
  `name` - the template name
Returns:
  the `Image`

### registerImage

public void registerImage(String name, String path)
Registers an image in the repository.

Parameters:
  `name` - the image name
  `path` - the image path